@use "../abstracts/mixins" as mix;
@use "../abstracts/variables" as var;
@use "sass:math";

.visitorListing {
  position: relative;

  .header {
    height: var.$gutter-base * 2.5;
    width: 100%;
    padding: math.div(var.$gutter-base, 2.5);
    background-color: var.$background-color-base;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    .main {
      width: 70%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      //   margin-left: 96px;

      h3 {
        color: var.$text-color-primary;
        margin: 0;
        font-family: "Reenie Beanie";
        font-style: normal;
        font-weight: var.$font-weight-medium;
        font-size: var.$font-size-big;
        line-height: var.$gutter-base;
      }

      a {
        text-decoration: none;

        i {
          padding-right: 20px;
          color: var.$text-color-primary;
          display: block;
          font-size: 25px;
        }
      }
    }
  }

  .itemListing {
    background-color: var.$text-color-tertiary;
    padding: 35px 0px;

    .card {
      box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);

      &:not(:last-child) {
        margin-bottom: 35px;
      }

      .content {
        padding: 5px 20px;

        h4 {
          font-family: "Reenie Beanie";
          font-size: 32px;
          font-weight: 200;
          margin: 0;
          display: inline;
        }

        span {
          font-weight: 200;
          font-size: 15px;
          float: right;
          margin-top: 5px;
          padding: 3px 12px;
          border-radius: var.$border-radius;
        }

        .title {
          font-size: 17px;
          font-weight: 800;
        }

        .description {
          font-size: 13px;
          font-weight: 600;
        }
      }

      .bg-dark {
        background-color: var.$text-color-primary;
        color: var.$text-color-secondary;

        span {
          color: var.$text-color-primary;
          background-color: var.$text-color-secondary;
        }
      }

      .bg-light {
        background-color: var.$text-color-secondary;
        color: var.$text-color-primary;

        span {
          color: var.$text-color-secondary;
          background-color: var.$text-color-primary;
        }
      }
    }
  }

  .icon {
    width: 50;
    height: 50;
    background-color: #d44c2e;
    position: fixed;
    right: 20px;
    bottom: 5px;
    margin-bottom: 17px;
    box-shadow: 0px 6px 6px rgba(0, 0, 0, 0.25);

    i {
      color: var.$text-color-tertiary;
      font-size: 42px;
      padding: 7px;
    }
  }

  .filters {
    height: 88vh;
    padding: 16px 14px;
    color: var.$text-color-tertiary;
    background-color: var.$text-color-primary;
    position: relative;
    left: -900px;
    transition: 1s;
    position: fixed;
    top: 75px;

    i {
      font-size: 34px;
      position: absolute;
      right: 20px;
    }

    h4 {
      margin: 0;
    }

    .filter-div {
      padding: 25px 0px;
      border-bottom: 1px solid var.$text-color-tertiary;

      p {
        margin-bottom: 15px;
      }

      input {
        color: white;
        border: 1px solid var.$text-color-tertiary;
        background-color: transparent;
        border-radius: var.$border-radius;
        width: 25%;
        padding: 4px;
      }

      select {
        border: 1px solid var.$text-color-tertiary;
        color: var.$text-color-tertiary;
        background-color: transparent;
        border-radius: var.$border-radius;
        padding: 4px;
      }
    }

    .by-price {
      #minPrice {
        margin-right: 110px;
      }
    }

     .submit {
      display: flex;
      align-items: center;
      justify-content: center;
      box-shadow: 0px 6px 6px rgba(0, 0, 0, 0.25);
      
      i {
        font-size: 42px;
        padding: 7px;
        color: var.$text-color-tertiary;
        background-color: #d44c2e;
        float: right;
        bottom: 5px;
      }
    }
  }
}
